> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event by ID

> Returns an `Event` object.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /events/{event_id}
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /events/{event_id}:
    get:
      tags:
        - events
      summary: Get event by ID
      description: Returns an `Event` object.
      operationId: getEvent
      parameters:
        - description: The ID of the event.
          example: 29827fb8-f2dd-4e80-9576-28e31e9934ac
          explode: true
          in: path
          name: event_id
          required: true
          schema:
            type: string
            format: uuid
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event'
          description: The requested `Event`.
        '404':
          description: Event not found.
      security:
        - BearerAuth: []
components:
  schemas:
    Event:
      description: |-
        # Event Object
        ### Description
        The `Event` object is used to represent an event.

        ### Usage Example
        Fetch from the `LIST Events` endpoint.
      example:
        event_id: 29827fb8-f2dd-4e80-9576-28e31e9934ac
        actor_user_id: 1b978423-db0a-4037-a4cf-f79c60cb67b3
        created_at: '2022-01-23T04:56:07.000Z'
        event_type: USERS_CREATED
      properties:
        event_id:
          description: The ID of the event.
          example: 1b978423-db0a-4037-a4cf-f79c60cb67b3
          format: uuid
          type: string
        actor_user_id:
          description: The ID of the actor user.
          example: 29827fb8-f2dd-4e80-9576-28e31e9934ac
          format: uuid
          type: string
        actor_name:
          description: The name of the actor user.
          example: John Smith
          format: string
        actor_email:
          description: The email of the actor user.
          example: john@acmecorp.com
          type: string
        event_type:
          description: The event type.
          example: USERS_CREATED
          type: string
        created_at:
          description: The day and time the event was created.
          example: '2022-01-23T04:56:07.000Z'
          format: date-time
          type: string
        actor_ip_address:
          description: The IP address of the event actor.
          example: 255.255.255.0
          type: string
        api_token_name:
          description: The name of the API token used to create the event.
          example: My API Token
          type: string
        api_token_preview:
          description: The preview of the API token used to create the event.
          example: '**************************M_g=='
          type: string
        sub_events:
          items:
            $ref: '#/components/schemas/SubEvent'
          type: array
      required:
        - event_id
        - actor_user_id
        - actor_name
        - event_type
        - created_at
      type: object
    SubEvent:
      description: |-
        # Sub event Object
        ### Description
        The `SubEvent` object is used to represent a subevent.

        ### Usage Example
        Fetch from the `LIST Events` endpoint.
      example:
        sub_event_type: USERS_CREATED
        user_id: 29827fb8-f2dd-4e80-9576-28e31e9934ac
        user_name: John Smith
        resource_id: 29827fb8-f2dd-4e80-9576-28e31e9934ac
        resource_name: Figma
      properties:
        sub_event_type:
          description: The subevent type.
          example: USERS_CREATED
          type: string
      required:
        - sub_event_type
      type: object
      additionalProperties: true
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````